version: '3.8'

services:
  app:
    build:
      context: .
      dockerfile: Dockerfile
      args:
        JAR_FILE: target/*.jar
    image: rmila/delivery-kata
    ports:
      - "8080:8080"
    networks:
      - kata_network
    environment:
      - "SPRING_PROFILES_ACTIVE=dev"

networks:
  kata_network:
    external:
      name: kata_network